[z--z]
GUI<¤>
If OpenWindow(0, 0, 0, 220, 100, "Пример...", #PB_Window_SystemMenu | #PB_Window_ScreenCentered)
	ButtonGadget (1, 10, 60, 200, 30, "Закрыть")

	Repeat
		Select WaitWindowEvent()
			Case #PB_Event_Gadget
				Select EventGadget()
					Case 1
						CloseWindow(0)
						End
				EndSelect
			Case #PB_Event_CloseWindow
				CloseWindow(0)
				End
		EndSelect
	Forever
EndIf
[z--z]
MessageRequester<¤>
MessageRequester("Сообщение", Text$)
[z--z]
FileRead<¤>
ReadFile(0, Path)
Text$ = ReadString(0, #PB_UTF8 | #PB_File_IgnoreEOL)
CloseFile(0)
[z--z]
FileRead 2<¤>
ReadFile(0, Path)
Text$ = ReadString(0, #PB_UTF8 | #PB_File_IgnoreEOL)
CloseFile(0)
[z--z]
FileWrite<¤>
CreateFile(0, Path)
WriteString(0, Text$, #PB_Ascii)
CloseFile(0)
[z--z]
If / Else<¤>
If Trg
	
Else
	
EndIf
[z--z]
Select<¤>
Select Event
	Case Btn
		MessageRequester("Сообщение", Text$)
	Case Lbl
		MessageRequester("Сообщение", Text$)
	Case LBx
		MessageRequester("Сообщение", Text$)
	Default
		MessageRequester("Сообщение", Text$)
EndSelect
[z--z]
While<¤>
While 1
	Delay(1000)
WEnd
[z--z]
Repeat Until<¤>
Repeat
Until 0
[z--z]
Procedure<¤>

Procedure FuncName()
	Protected 
	
    ProcedureReturn Result
EndProcedure
[z--z]
Language<¤>
If OpenLibrary(0, "kernel32.dll")
	*Lang = GetFunction(0, "GetUserDefaultUILanguage")
	If *Lang
		UserIntLang = CallFunctionFast(*Lang)
	EndIf
	CloseLibrary(0)
EndIf
; En
Global Dim Lng.s(2)
Lng(1) = "About"
Lng(2) = "Version"

; Ru
; если русская локализация, то русский язык
If UserIntLang = 1049
	Lng(1) = 'О программе'
	Lng(2) = 'Версия'
EndIf
[z--z]
SaveDialog<¤>
File$ = OpenFileRequester("Сохранить файл", GetCurrentDirectory(), "Текстовый файл (*.txt)", 0)
If File$
	If Right(File$, 4) <> ".txt"
		File$ + ".txt"
	EndIf
    MessageRequester("Инфо", "Вы выбрали следующий файл:" + Chr(10) + File$, 0)
Else
    MessageRequester("Инфо", "Запрос был отменён.", 0) 
EndIf
[z--z]
OpenDialog<¤>
File$ = OpenFileRequester("Открыть файл", GetCurrentDirectory(), "Конфигурационный (*.ini)", 0)
If File$
	If Right(File$, 4) <> ".ini"
		File$ + ".ini"
	EndIf
    MessageRequester("Инфо", "Вы выбрали следующий файл:" + Chr(10) + File$, 0)
Else
    MessageRequester("Инфо", "Запрос был отменён.", 0) 
EndIf
[z--z]
SelectFolder<¤>
Path$ = PathRequester("Открыть", GetCurrentDirectory())
If Path$
    MessageRequester("Инфо", "Вы выбрали следующий путь:"+Chr(10)+Path$, 0)
Else
    MessageRequester("Инфо", "Запрос был отменён.", 0) 
EndIf
[z--z]
Timer<¤>
StartTime=ElapsedMilliseconds()
Delay(1000)
Res.s = "Прошло времени между метками " + Str(ElapsedMilliseconds()-StartTime) + " мсек"
Debug Res
[z--z]